libwget-ip(3)

NAME
libwget-ip - IP address functions

SYNOPSIS

  Functions

bool wget_ip_is_family (const char *host, int family)

Detailed Description

Routines to check IP address formats.

Function Documentation

  bool wget_ip_is_family (const char * host, int family)

Parameters
    host Host/IP string
    family IP address family

Returns
    1 if host matches is of family
     0 if host does not match family

This functions checks if host matches the given family or not.

Author

Generated automatically by Doxygen for wget2 from the source code.